#ifndef __XDISP_P_H__
#define __XDISP_P_H__

extern _VOID_ message1 _P_((char *m));
extern _VOID_ _VARARGS_ message _P_((char *m, ...));
extern _VOID_ redisplay _P_((void));
extern _VOID_ redisplay_preserve_echo_area _P_((void));
extern _VOID_ mark_window_display_accurate _P_((Lisp_Object window, int flag));
extern _VOID_ redisplay_region _P_((struct buffer *buf, int start, int end));
extern GLYPH * copy_rope _P_((register GLYPH *t, register GLYPH *s,
                              Lisp_Object from, int face));
extern GLYPH * copy_part_of_rope _P_((register GLYPH *t, register GLYPH *s,
                                      Lisp_Object *from, int len, int face));
extern _VOID_ syms_of_xdisp _P_((void));
extern _VOID_ init_xdisp _P_((void));

#endif
